2011-03-07 Debian updated to Squeeze

The update is ready, only minor problems were encountered:

  • module load R: this version of R (2.11.1) refused to run on squeeze. Solution: do not load this module, the default version of R is 2.11.1
  • gfortran: the new compiler uses another format for it's modules. Solution: recompile or use the old compiler: gfortran-4.3.

Lisa upgrade to Debian squeeze: history

The Lisa system will be upgraded to Debian Squeeze (Debian 6.0.0). The tests are now (2011-03-07) almost completed and we plan to gradually upgrade the nodes to the new level. We expect to upgrade without having to reboot the whole system. The login nodes will be upgraded after all batch nodes have been upgraded.

Planning

The first batchnodes will be upgraded during this week (2011-03-07 .. 2011-03-12). If everything goes well, we expect that at 2011-03-21 all batch nodes are upgraded, after which we will upgrade the login nodes.

Consequences

The upgrade should be painless for the users, however, if you see strange or unexpected things happen in your jobs, please contact us (hic@sara.nl). Specifications of Debian Squeeze is available here: http://www.debian.org/News/2011/20110205a .

Known issues

  • Important software updates:
product version in old system version in squeeze old version available
gcc/g++ 4.3.2 4.4.5 gcc-4.3
gfortran 4.3.2 4.4.5 gfortran-4.3
python 2.5.2 2.6.6 python2.5
perl v5.10.0 v5.10.1
R 2.7.1 2.11.1